<button
  *ngIf="storyline.mode === 'progressive'"
  mat-raised-button
  color="primary"
  [disabled]="!storyline.isFinishable"
  (click)="storyline.finish()"
>
  <mat-icon>done</mat-icon>
  Complete
</button>
<button
  *ngIf="storyline.mode !== 'progressive'"
  mat-raised-button
  color="primary"
  [disabled]="storyline.isFailed || (storyline.isAtFinish && !storyline.isFinishable)"
  (click)="storyline.stepForward()"
>
  <mat-icon>{{ storyline.isAtFinish ? "done" : "chevron_right" }}</mat-icon>
  {{ storyline.isAtFinish ? "Complete" : "Next" }}
</button>
<button
  *ngIf="storyline.mode !== 'progressive' && !storyline.isAtStart"
  mat-stroked-button
  color="primary"
  style="margin-left: 8px"
  [disabled]="storyline.isAtStart"
  (click)="storyline.stepBackward()"
>
  <mat-icon>chevron_left</mat-icon>
  Back
</button>
